%define         _class          PhpDocumentor
%define		_status		stable
%define		_pearname	%{_class}

%define		_requires_exceptions WEB-DIR\\|pear(PEAR/PackageFileManager.php)

Summary:	%{_pearname} - provides automatic documenting of PHP API directly from source
Name:		php-pear-%{_pearname}
Version:	1.2.2.1
Release:	%mkrel 6
License:	PHP License
Group:		Development/Other
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tar.bz2
Patch0:		%{name}-includes_fix.patch
Patch1:		%{name}-html_treemenu_includes_fix.patch
URL:		http://pear.php.net/package/PhpDocumentor/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The phpDocumentor tool is a standalone auto-documentor similar to
JavaDoc written in PHP. It differs from PHPDoc in that it is MUCH
faster, parses a much wider range of php files, and comes with many
customizations including 11 HTML templates, windows help file CHM
output, PDF output, and XML DocBook peardoc2 output for use with
documenting PEAR. In addition, it can do PHPXref source code
highlighting and linking.

Features (short list):
- output in HTML, PDF (directly), CHM (with windows help compiler),
  XML DocBook
- very fast
- web and command-line interface
- fully customizable output with Smarty-based templates
- recognizes JavaDoc-style documentation with special tags customized
  for PHP 4
- automatic linking, class inheritance diagrams and intelligent
  override
- customizable source code highlighting, with phpxref-style
  cross-referencing
- parses standard README/CHANGELOG/INSTALL/FAQ files and includes them
  directly in documentation
- generates a todo list from @todo tags in source
- generates multiple documentation sets based on @access private,
  @internal and {@internal} tags
- example php files can be placed directly in documentation with
  highlighting and phpxref linking using the @example tag
- linking between external manual and API documentation is possible at
  the sub-section level in all output formats
- easily extended for specific documentation needs with Converter
- full documentation of every feature, manual can be generated
  directly from the source code with "phpdoc -c makedocs" in any format
  desired.
- current manual always available at http://www.phpdoc.org/manual.php
- user .ini files can be used to control output, multiple outputs can
  be generated at once

This class has in PEAR status: %{_status}.

%prep

%setup -q -c

%patch0 -p0
%patch1 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%build
cd %{_pearname}-%{version}
# Set up correct paths
sed 's#@PHP-BIN@#/usr/bin#' pear-phpdoc > pear-phpdoc.tmp
mv -f pear-phpdoc.tmp pear-phpdoc

%install
rm -rf %{buildroot}

# Create directory tree (guess it could be simplified... to be done....)
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/pear/%{_class}/{scripts,user}
#install -d %{buildroot}%{_datadir}/pear/%{_class}/HTML_TreeMenu-1.1.2/images
install -d %{buildroot}%{_datadir}/pear/%{_class}/docbuilder/{images,includes}
install -d %{buildroot}%{_datadir}/pear/%{_class}/media/images/earthli
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CHM/default/templates/default/{templates/media,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CSV/dia2code
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/{HandS,PHP,default}/{templates/media,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/{default,earthli,l0l33t,phpdoc.de,phphtmllib}/{templates/media/{images,lib},templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/default/{templates/media,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/earthli/{templates/media/images,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/{templates/media,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/{templates/media,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit/{templates/media/{images,lib},templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/{templates/media,templates_c}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default/templates/{default/{templates/media,templates_c},fonts}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook/{peardoc2/templates/default/{templates,templates_c},templates/peardoc2/templates}
install -d %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Smarty-2.5.0/libs/plugins

# Copy files (now I realize how wonderfull is make install...)
install %{_pearname}-%{version}/pear-phpdoc %{buildroot}%{_bindir}/phpdoc
install %{_pearname}-%{version}/*.{php,ini}  %{buildroot}%{_datadir}/pear/%{_class}
#install %{_pearname}-%{version}/HTML_TreeMenu-1.1.2/TreeMenu.* %{buildroot}%{_datadir}/pear/%{_class}/HTML_TreeMenu-1.1.2
#install %{_pearname}-%{version}/HTML_TreeMenu-1.1.2/images/* %{buildroot}%{_datadir}/pear/%{_class}/HTML_TreeMenu-1.1.2/images
install %{_pearname}-%{version}/docbuilder/*.{php,html} %{buildroot}%{_datadir}/pear/%{_class}/docbuilder
install %{_pearname}-%{version}/docbuilder/images/* %{buildroot}%{_datadir}/pear/%{_class}/docbuilder/images
install %{_pearname}-%{version}/docbuilder/includes/* %{buildroot}%{_datadir}/pear/%{_class}/docbuilder/includes
install %{_pearname}-%{version}/media/images/earthli/* %{buildroot}%{_datadir}/pear/%{_class}/media/images/earthli
install %{_pearname}-%{version}/phpDocumentor/*.{inc,php} %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor

# Gosh... There are soooo many subdirectories in Converters/
install %{_pearname}-%{version}/phpDocumentor/Converters/CHM/default/*.inc %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CHM/default
install %{_pearname}-%{version}/phpDocumentor/Converters/CHM/default/templates/default/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CHM/default/templates/default
install %{_pearname}-%{version}/phpDocumentor/Converters/CHM/default/templates/default/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CHM/default/templates/default/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/CHM/default/templates/default/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CHM/default/templates/default/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/CHM/default/templates/default/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CHM/default/templates/default/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/CSV/dia2code/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/CSV/dia2code

#install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/ %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/*.inc %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/HandS
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/HandS/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/PHP
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/PHP/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/default/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/default
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/default/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/default/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/default/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/default/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/Smarty/templates/default/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/Smarty/templates/default/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/*.inc %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/default
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/media/lib/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates/media/lib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates_c/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/default/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/media/lib/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates/media/lib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates_c/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/earthli/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/media/lib/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates/media/lib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates_c/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/l0l33t/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/media/lib/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates/media/lib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates_c/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phpdoc.de/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/media/lib/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates/media/lib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates_c/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/DOM/phphtmllib/templates_c

install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/default/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/default
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/default/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/default/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/default/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/default/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/default/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/default/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/earthli/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/earthli
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates_c/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/earthli/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/l0l33t
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/l0l33t/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpdoc.de/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpedit/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/media/*.css %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/media/images/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/media/images
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/media/lib/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates/media/lib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phpedit/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/HTML/frames/templates/phphtmllib/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/PDF/default/*.{inc,php} %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default
install %{_pearname}-%{version}/phpDocumentor/Converters/PDF/default/templates/default/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default/templates/default
install %{_pearname}-%{version}/phpDocumentor/Converters/PDF/default/templates/default/templates/*.tpl %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default/templates/default/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/PDF/default/templates/default/templates/media/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default/templates/default/templates/media
install %{_pearname}-%{version}/phpDocumentor/Converters/PDF/default/templates/default/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default/templates/default/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/PDF/default/templates/fonts/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/PDF/default/templates/fonts
install %{_pearname}-%{version}/phpDocumentor/Converters/XML/DocBook/*.inc %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook
install %{_pearname}-%{version}/phpDocumentor/Converters/XML/DocBook/peardoc2/*.inc %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook/peardoc2
install %{_pearname}-%{version}/phpDocumentor/Converters/XML/DocBook/peardoc2/templates/default/*.ini %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook/peardoc2/templates/default
install %{_pearname}-%{version}/phpDocumentor/Converters/XML/DocBook/peardoc2/templates/default/templates/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook/peardoc2/templates/default/templates
install %{_pearname}-%{version}/phpDocumentor/Converters/XML/DocBook/peardoc2/templates/default/templates_c/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook/peardoc2/templates/default/templates_c
install %{_pearname}-%{version}/phpDocumentor/Converters/XML/DocBook/templates/peardoc2/templates/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Converters/XML/DocBook/templates/peardoc2/templates
install %{_pearname}-%{version}/phpDocumentor/Smarty-2.5.0/libs/*.{php,tpl} %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Smarty-2.5.0/libs
install %{_pearname}-%{version}/phpDocumentor/Smarty-2.5.0/libs/plugins/* %{buildroot}%{_datadir}/pear/%{_class}/phpDocumentor/Smarty-2.5.0/libs/plugins
install %{_pearname}-%{version}/scripts/* %{buildroot}%{_datadir}/pear/%{_class}/scripts/
install %{_pearname}-%{version}/user/* %{buildroot}%{_datadir}/pear/%{_class}/user/

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{Authors,ChangeLog,FAQ,INSTALL,PHPLICENSE.txt,README,Release*,poweredbyphpdoc.gif}
%doc %{_pearname}-%{version}/{Documentation,tutorials}
%attr(755,root,root) %{_bindir}/phpdoc
%dir %{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}/*

%{_datadir}/pear/packages/%{_pearname}.xml

%changelog
* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2.1-6mdk
- rebuilt to fix auto deps

* Tue Aug 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2.1-4mdk
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2.1-2mdk
- fix deps

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2.1-1mdk
- initial Mandriva package (PLD import)
